/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <May 13, 2026> */

/**/
	/*fonts*/

	/*btns*/
/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
.cta-btn {
    background: var(--color-primary-background);
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-text p {
    text-align: left !important;
}

.module-welcome.style-5 .ry-text .ry-btn {
    margin-left: 0;
}
/* Services */
	/**/

.ry-services.style2 .ry-each .photo:before {
    background: var(--color-primary-text);
}

.ry-services.style2 .ry-each .photo img {
    z-index: 2;
    height: 70%;
    width: 70%;
    left: 15%;
    top: 15%;
    opacity: 0.7;
}

#services-7 .each-block {
    margin-bottom: 150px;
    overflow: visible;
}

.ry-services.style2 .ry-each .title {
    bottom: -75px;
    line-height: 1;
}

.ry-services.style2 .ry-each .photo {
    border-radius: 999px;
    overflow: hidden;
}
.ry-services.style2 .ry-each .photo:after {
    opacity: 1;
}

.ry-services.style2 .ry-each .each-block:hover .photo img {opacity: 0.1;}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/
#hp-brands-6 .overflow-hidden {
    padding: 0;
}

#hp-brands-6 .swiper-slide {
    background: transparent;
}


.brands-swiper-4 img {
    filter: invert(1);
    height: 80px;
}

.brand-4-swiper-button-next, .brand-4-swiper-button-prev {
    background-color: var(--color-primary-text);
    color: #374151;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.testimonials-swiper .swiper-slide:nth-child(even) {
    background: var(--color-primary-background);
}
.testimonials-swiper .swiper-slide:nth-child(odd) {
    background: var(--color-secondary-background);
}

.testimonials-swiper p, .testimonials-swiper-2 p {
    color: var(--color-primary-text);
}
/* Footer */
	/**/
#ry-footer-3 .footer-contents::before {
    background-color: var(--color-secondary-background);
    opacity: 1;
}
/*Media Queries*/
	/**/
@media (max-width: 1080px) {
    .module-welcome.style-5 .ry-each.image-wrapper .photo {
        padding-bottom: 26.25%;
    }
    .module-welcome.style-5 .ry-text p {
        text-align: center !important;
    }
    #services-7 .each-block {
        margin-bottom: 110px;
    }
    
    .ry-services.style2 .each-block .photo:before {
        background: var(--color-primary-text);
        height: 100%;
    }
    
    .ry-services.style2 .each-block .photo img {
        border-radius: 0;
        z-index: 2;
        height: 70%;
        width: 70%;
        left: 15%;
        top: 15%;
    }
    
    .ry-services.style2 .each-block .title {
        bottom: -95px;
        line-height: 1;
    }
    
    .mobile-services .slick-dots button {
        background: var(--color-primary-text);
    }
}
@media (width < 1080px) {
    #section-hp-services:before, .module-19.style2:before, .ry-services.style2::before,
    #hp-brands-1::before, #hp-brands-2::before, #hp-brands-3::before, #hp-brands-4::before, #hp-brands-5::before, #hp-brands-6::before{
        opacity: 1;
    }
}
@media (max-width: 1024px) {
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
/* End - HP Edits*/

#navigation .bg-primary-background {
    background-color: #fff !important;
}

body[data-page-name="contact"] #footer-map {
	display: none;
}

body[data-page-name="contact"] #ry-footer-3 {
	padding-top: 220px;
}